package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.PcRaProblemType;
import cn.cecep.talroad.vo.analysis.PcRaProblemTypeVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 问题分类Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface IPcRaProblemTypeService extends IService<PcRaProblemType>
{
    List<PcRaProblemType> selectPcRaProblemTypeList(PcRaProblemType pcRaProblemType);

    List<Map<String, Object>> cascader();

    List<PcRaProblemTypeVo> selectProblemTypeVoList();

    String getPathName(String problemType);
}
